## org.eclipse.xsd
Interface XSDAttributeDeclaration

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDFeature, XSDNamedComponent, XSDSchemaContent

All Known Implementing Classes:
  XSDAttributeDeclarationImpl

    public interface XSDAttributeDeclaration

extends XSDFeature, XSDSchemaContent

A representation of the model object 'Attribute Declaration'.

The following features are supported:

- `Attribute Declaration Reference`
- `Annotation`
- `Anonymous Type Definition`
- `Type Definition`
- `Resolved Attribute Declaration`

See Also:
  `XSDPackage.getXSDAttributeDeclaration()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`XSDSimpleTypeDefinition` `getAnonymousTypeDefinition()` Returns the value of the 'Anonymous Type Definition' containment reference
`XSDAttributeDeclaration` `getResolvedAttributeDeclaration()` Returns the value of the 'Resolved Attribute Declaration' reference
`XSDSimpleTypeDefinition` `getTypeDefinition()` Returns the value of the 'Type Definition' reference
`boolean` `isAttributeDeclarationReference()` Returns the value of the 'Attribute Declaration Reference' attribute
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setAnonymousTypeDefinition(XSDSimpleTypeDefinition value)` Sets the value of the '`Anonymous Type Definition`' containment reference
`void` `setResolvedAttributeDeclaration(XSDAttributeDeclaration value)` Sets the value of the '`Resolved Attribute Declaration`' reference
`void` `setTypeDefinition(XSDSimpleTypeDefinition value)` Sets the value of the '`Type Definition`' reference

Methods inherited from interface org.eclipse.xsd.XSDFeature
`getConstraint, getForm, getLexicalValue, getResolvedFeature, getScope, getType, getValue, isFeatureReference, isGlobal, isSetConstraint, isSetForm, setConstraint, setForm, setLexicalValue, setValue, unsetConstraint, unsetForm`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isAttributeDeclarationReference

    boolean isAttributeDeclarationReference()

  Returns the value of the 'Attribute Declaration Reference' attribute.

  This concrete attribute is equivalent to

        xsdAttributeDeclaration != xsdAttributeDeclaration.getResolvedAttributeDeclaration()

  An infoset feature will never return an instance for which this is the `true` since this is a concrete attribute that is used to represent an attribute declaration with a ref attribute.

  Returns:
    the value of the 'Attribute Declaration Reference' attribute.
  See Also:
    `XSDPackage.getXSDAttributeDeclaration_AttributeDeclarationReference()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDAttributeDeclaration_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getAnonymousTypeDefinition

    XSDSimpleTypeDefinition getAnonymousTypeDefinition()

  Returns the value of the 'Anonymous Type Definition' containment reference.

  This concrete reference represents a simple type definition defined within the body of an attribute element.

  Returns:
    the value of the 'Anonymous Type Definition' containment reference.
  See Also:
    `setAnonymousTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDAttributeDeclaration_AnonymousTypeDefinition()`

### setAnonymousTypeDefinition

    void setAnonymousTypeDefinition(XSDSimpleTypeDefinition value)

  Sets the value of the '`Anonymous Type Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Anonymous Type Definition' containment reference.
  See Also:
    `getAnonymousTypeDefinition()`

### getTypeDefinition

    XSDSimpleTypeDefinition getTypeDefinition()

  Returns the value of the 'Type Definition' reference.

  This represents the type definition infoset property.

  Returns:
    the value of the 'Type Definition' reference.
  See Also:
    `setTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDAttributeDeclaration_TypeDefinition()`

### setTypeDefinition

    void setTypeDefinition(XSDSimpleTypeDefinition value)

  Sets the value of the '`Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Type Definition' reference.
  See Also:
    `getTypeDefinition()`

### getResolvedAttributeDeclaration

    XSDAttributeDeclaration getResolvedAttributeDeclaration()

  Returns the value of the 'Resolved Attribute Declaration' reference.

  This concrete reference represents the attribute declaration resolved by the ref attribute.

  Returns:
    the value of the 'Resolved Attribute Declaration' reference.
  See Also:
    `setResolvedAttributeDeclaration(XSDAttributeDeclaration)`, `XSDPackage.getXSDAttributeDeclaration_ResolvedAttributeDeclaration()`

### setResolvedAttributeDeclaration

    void setResolvedAttributeDeclaration(XSDAttributeDeclaration value)

  Sets the value of the '`Resolved Attribute Declaration`' reference.

  Parameters:
    `value` - the new value of the 'Resolved Attribute Declaration' reference.
  See Also:
    `getResolvedAttributeDeclaration()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.